### Class

# GimpUi ZoomModel

#### Description [src]

    class GimpUi.ZoomModel : GObject.Object {
      parent_instance: GObject,
      priv: GimpZoomModelPrivate*
    }

A model for zoom values.

#### Ancestors

- GObject

#### Constructors

###### gimp_zoom_model_new

Creates a new `GimpZoomModel`.

#### Functions

###### gimp_zoom_model_zoom_step

Utility function to calculate a new scale factor.

#### Instance methods

###### gimp_zoom_model_get_factor

Retrieves the current zoom factor of `model`.

###### gimp_zoom_model_get_fraction

Retrieves the current zoom factor of `model` as a fraction.

###### gimp_zoom_model_set_range

Sets the allowed range of the `model`.

###### gimp_zoom_model_zoom

Since GIMP 2.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GimpUi.ZoomModel:fraction

The zoom factor expressed as a fraction.

###### GimpUi.ZoomModel:maximum

The maximum zoom factor.

###### GimpUi.ZoomModel:minimum

The minimum zoom factor.

###### GimpUi.ZoomModel:percentage

The zoom factor expressed as percentage.

###### GimpUi.ZoomModel:value

The zoom factor.

#### Signals

###### GimpUi.ZoomModel::zoomed

Emitted when the zoom factor of the zoom model changes.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpUiZoomModelClass {
      GObjectClass parent_class;
      void (* zoomed) (
        GimpZoomModel* model,
        gdouble old_factor,
        gdouble new_factor
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`zoomed`

    void (* zoomed) (
        GimpZoomModel* model,
        gdouble old_factor,
        gdouble new_factor
      )

| No description available.

`_gimp_reserved1`

    void (* _gimp_reserved1) (
    void
      )

| No description available.

`_gimp_reserved2`

    void (* _gimp_reserved2) (
    void
      )

| No description available.

`_gimp_reserved3`

    void (* _gimp_reserved3) (
    void
      )

| No description available.

`_gimp_reserved4`

    void (* _gimp_reserved4) (
    void
      )

| No description available.

`_gimp_reserved5`

    void (* _gimp_reserved5) (
    void
      )

| No description available.

`_gimp_reserved6`

    void (* _gimp_reserved6) (
    void
      )

| No description available.

`_gimp_reserved7`

    void (* _gimp_reserved7) (
    void
      )

| No description available.

`_gimp_reserved8`

    void (* _gimp_reserved8) (
    void
      )

| No description available.

#### Virtual methods

###### GimpUi.ZoomModelClass.zoomed

No description available.